version: "2.4"
services:
  hydra:
    image: linuxserver/jackett
    container_name: jackett
    environment:
      PUID: 1000
      PGID: 1000
      TZ: Australia/Melbourne
      VIRTUAL_HOST: "jackett.home.toozhao.com"
      VIRTUAL_PORT: 9117
      LETSENCRYPT_HOST: "jackett.home.toozhao.com"
      LETSENCRYPT_EMAIL: "me@toozhao.com"
    volumes:
      - /mnt/configs/jackett:/config
      - /mnt/jackett_downloads:/downloads
    restart: unless-stopped
    mem_limit: 1024m
    mem_reservation: 256m
    cpu_percent: 15
    networks:
      - gateway_default
networks:
  gateway_default:
    external: true
